Skip to main content

Add generic credentials

Creates and encrypts new credentials for a specified account public ID. Use this to securely manage authentication details for the account.

HTTP method and endpoint

POST /accounts/{accountPublicId}/credentials

Token usage

Both a NetApp Console user token and service token. The service token needs to include the following scopes: credentials:internal. Pass the user token or service token in the Authorization request header.

Parameters

Name Type In Required Description

accountPublicId

string

path

True

x-simulator

string

header

False

Request Body

Name Type Required Description

credentials

credentials

True

credentialsType

string

True

extra

extra

False

Response

Status: 200, Successful stored generic credentials
Name Type Required Description

credentialsId

string

True

credentialsType

string

True

extra

extra

True

isSimulated

boolean

True

Error

Status: 404, Account not found

Definitions

See Definitions

credentials

extra